<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>kgraphinterface.kdevelop: kgraphinterface/src/kgraphinterface_part.h Source File</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.4.7 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="annotated.html"><span>Classes</span></a></li>
    <li id="current"><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
  </ul></div>
<div class="nav">
<a class="el" href="dir_13bf8767770a07be1dadcd74264f09a2.html">kgraphinterface</a>&nbsp;&raquo&nbsp;<a class="el" href="dir_cd0dc5b52ac10de8cdc9686ef8f66f03.html">src</a></div>
<h1>kgraphinterface_part.h</h1><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 
<a name="l00002"></a>00002 <span class="preprocessor">#ifndef _KGRAPHINTERFACEPART_H_</span>
<a name="l00003"></a>00003 <span class="preprocessor"></span><span class="preprocessor">#define _KGRAPHINTERFACEPART_H_</span>
<a name="l00004"></a>00004 <span class="preprocessor"></span>
<a name="l00005"></a>00005 <span class="preprocessor">#include &lt;kparts/part.h&gt;</span>
<a name="l00006"></a>00006 <span class="preprocessor">#include &lt;kparts/factory.h&gt;</span>
<a name="l00007"></a>00007 
<a name="l00008"></a>00008 <span class="keyword">class </span>QWidget;
<a name="l00009"></a>00009 <span class="keyword">class </span>QPainter;
<a name="l00010"></a>00010 <span class="keyword">class </span>KURL;
<a name="l00011"></a>00011 <span class="keyword">class </span>Graph;
<a name="l00012"></a>00012 
<a name="l00021"></a><a class="code" href="classKGraphInterfacePart.html">00021</a> <span class="keyword">class </span><a class="code" href="classKGraphInterfacePart.html">KGraphInterfacePart</a> : <span class="keyword">public</span> KParts::ReadWritePart
<a name="l00022"></a>00022 {
<a name="l00023"></a>00023     Q_OBJECT
<a name="l00024"></a>00024 <span class="keyword">public</span>:
<a name="l00028"></a>00028     <a class="code" href="classKGraphInterfacePart.html#81c922713f610f9f3429ed6c9331ebe3">KGraphInterfacePart</a>(QWidget *parentWidget, <span class="keyword">const</span> <span class="keywordtype">char</span> *widgetName,
<a name="l00029"></a>00029                     QObject *parent, <span class="keyword">const</span> <span class="keywordtype">char</span> *name);
<a name="l00030"></a>00030 
<a name="l00034"></a>00034     <span class="keyword">virtual</span> <a class="code" href="classKGraphInterfacePart.html#28d9cc6a41fac98c04e4adeef6e8cd07">~KGraphInterfacePart</a>();
<a name="l00035"></a>00035 
<a name="l00041"></a>00041     <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classKGraphInterfacePart.html#dc41fc8650d1986825d398083490d183">setReadWrite</a>(<span class="keywordtype">bool</span> rw);
<a name="l00042"></a>00042 
<a name="l00046"></a>00046     <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classKGraphInterfacePart.html#8dd80fc1bd380be409dae0eec6e31378">setModified</a>(<span class="keywordtype">bool</span> modified);
<a name="l00047"></a>00047 
<a name="l00048"></a>00048 <span class="keyword">protected</span>:
<a name="l00052"></a>00052     <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="classKGraphInterfacePart.html#ec34a8c50e649bf19d82ae4f64b79ae4">openFile</a>();
<a name="l00053"></a>00053 
<a name="l00057"></a>00057     <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="classKGraphInterfacePart.html#4c108d73733e8ad1e3efb43b4a83abed">saveFile</a>();
<a name="l00058"></a>00058 
<a name="l00059"></a>00059 <span class="keyword">protected</span> slots:
<a name="l00060"></a>00060     <span class="keywordtype">void</span> fileOpen();
<a name="l00061"></a>00061     <span class="keywordtype">void</span> fileSaveAs();
<a name="l00062"></a>00062 
<a name="l00063"></a>00063 <span class="keyword">private</span>:
<a name="l00064"></a>00064     Graph *m_widget;
<a name="l00065"></a>00065 };
<a name="l00066"></a>00066 
<a name="l00067"></a>00067 <span class="keyword">class </span>KInstance;
<a name="l00068"></a>00068 <span class="keyword">class </span>KAboutData;
<a name="l00069"></a>00069 
<a name="l00070"></a>00070 <span class="keyword">class </span>KGraphInterfacePartFactory : <span class="keyword">public</span> KParts::Factory
<a name="l00071"></a>00071 {
<a name="l00072"></a>00072     Q_OBJECT
<a name="l00073"></a>00073 <span class="keyword">public</span>:
<a name="l00074"></a>00074     KGraphInterfacePartFactory();
<a name="l00075"></a>00075     <span class="keyword">virtual</span> ~KGraphInterfacePartFactory();
<a name="l00076"></a>00076     <span class="keyword">virtual</span> KParts::Part* createPartObject( QWidget *parentWidget, <span class="keyword">const</span> <span class="keywordtype">char</span> *widgetName,
<a name="l00077"></a>00077                                             QObject *parent, <span class="keyword">const</span> <span class="keywordtype">char</span> *name,
<a name="l00078"></a>00078                                             <span class="keyword">const</span> <span class="keywordtype">char</span> *classname, <span class="keyword">const</span> QStringList &amp;args );
<a name="l00079"></a>00079     <span class="keyword">static</span> KInstance* instance();
<a name="l00080"></a>00080  
<a name="l00081"></a>00081 <span class="keyword">private</span>:
<a name="l00082"></a>00082     <span class="keyword">static</span> KInstance* s_instance;
<a name="l00083"></a>00083     <span class="keyword">static</span> KAboutData* s_about;
<a name="l00084"></a>00084 };
<a name="l00085"></a>00085 
<a name="l00086"></a>00086 <span class="preprocessor">#endif // _KGRAPHINTERFACEPART_H_</span>
</pre></div><hr size="1"><address style="align: right;"><small>Generated on Sun Jun 10 14:17:38 2007 for kgraphinterface.kdevelop by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.7 </small></address>
</body>
</html>
